Bug 173010 - libnetsnmp causes buffer overflow
libnetsnmp causes buffer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 04:15 EST by Gael Fraiteur
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: net-snmp-5.2.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 05:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log with PHP SNMP module (16.43 KB, text/plain)
2005-11-12 04:18 EST, Gael Fraiteur
no flags Details
Log with cactid (4.21 KB, text/plain)
2005-11-12 04:19 EST, Gael Fraiteur
no flags Details

  None (edit)
Description Gael Fraiteur 2005-11-12 04:15:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-GB; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
The "cacti" program (both cactid and php poller) causes a buffer overflow.

See stack traces in attachment.

Version-Release number of selected component (if applicable):
net-snmp-libs.x86_64  5.2.1.2-fc4.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Reboot the computer (occurs only during the first minutes after reboot)
2. Call cacti's "php poller.php" or "php cmd.php"
  

Actual Results:  Buffer overflow.

Additional info:
Comment 1 Gael Fraiteur 2005-11-12 04:18:44 EST
Created attachment 120977 [details]
Error log with PHP SNMP module
Comment 2 Gael Fraiteur 2005-11-12 04:19:41 EST
Created attachment 120978 [details]
Log with cactid
Comment 3 Radek Vokal 2005-11-13 14:09:56 EST
Can you please test latest rawhide package if this issue is already gone there?
Comment 4 Radek Vokal 2005-11-29 05:07:56 EST
Closed as rawhide, net-snmp-5.2.2-1

Note You need to log in before you can comment on or make changes to this bug.